Bandwidth Overage ProtectionUpdate Bandwidth Auto Recharge settings

Update Bandwidth Auto Recharge settings

curl -X POST "https://api.5centscdn.com/v2/account/recharge" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "autorecharge_at": 85,
  "autorecharge_id": 42
}'
{
  "result": "success",
  "message": "Bandwidth Auto Recharge Updated"
}
POST
/account/recharge
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
autorecharge_atinteger
Required

Percentage of monthly bandwidth at which an addon package is auto-purchased. Set to 0 to disable auto recharge.

Options: 0, 75, 85, 95
autorecharge_idinteger

Addon service ID for the bandwidth package to auto-purchase. Required when autorecharge_at is non-zero.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Body

application/json
autorecharge_atinteger
Required

Percentage of monthly bandwidth at which an addon package is auto-purchased. Set to 0 to disable auto recharge.

Allowed values:0758595
autorecharge_idinteger

Addon service ID for the bandwidth package to auto-purchase. Required when autorecharge_at is non-zero.

Responses

resultstring

Operation outcome.

messagestring

Human-readable description of the operation outcome.